Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class CollInquiryStatusFactory

    java.lang.Object
      com.fxcm.fix.CollInquiryStatusFactory

    public class CollInquiryStatusFactory

extends Object

Status of Collateral Inquiry

Field Summary
`static ICollInquiryStatus` | `ACCEPTED` accepted inquiry, you will see this status when your collateral inquiry was entered into our system
`static ICollInquiryStatus` | `COMPLETED` completed inquiry, you will see this status when your collateral inquiry request has completed its query
`static ICollInquiryStatus` | `REJECTED` rejected inquiry, you will see this if your collateral inquiry was rejected by our system

Constructor Summary
`CollInquiryStatusFactory()`

Method Summary
`static ICollInquiryStatus` | `toCode(int aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACCEPTED

    public static final ICollInquiryStatus ACCEPTED

  accepted inquiry, you will see this status when your collateral inquiry was entered into our system

### COMPLETED

    public static final ICollInquiryStatus COMPLETED

  completed inquiry, you will see this status when your collateral inquiry request has completed its query

### REJECTED

    public static final ICollInquiryStatus REJECTED

  rejected inquiry, you will see this if your collateral inquiry was rejected by our system

Constructor Detail

### CollInquiryStatusFactory

    public CollInquiryStatusFactory()

Method Detail

### toCode

    public static ICollInquiryStatus toCode(int aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``COLLINQUIRYSTATUS_*``
  Returns:
    collateral inquiry status object fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.